Unify and manage your data

Manage ID Generation API

Learn how to manage ID generators for an RDM tenant.

Use the ID Generation API to manage generators that produce ID values for lookup types.

You can use this API to:

  • List generators defined for a tenant
  • Retrieve generator details
  • Generate the next ID value
  • Delete generators

HTTP method and endpoint

Use the following methods and endpoints for generator operations.
OperationHTTP methodEndpoint
List generatorsGET{{rdm_uri}}/generators/{{rdm_tenant_name}}
Get generatorGET{{rdm_uri}}/generators/{{rdm_tenant_name}}/{{generator_name}}
Generate next valueGET{{rdm_uri}}/generators/{{rdm_tenant_name}}/{{generator_name}}/generate
Delete generatorDELETE{{rdm_uri}}/generators/{{rdm_tenant_name}}/{{generator_name}}
The following table describes the endpoint path parameters.
ParameterTypeRequiredDescription
rdm_tenant_nameStringYesThe unique identifier of the tenant. Specifies the tenant context for the request.

Example: ReltioRDM

rdm_uriStringYesThe base URI for the RDM service.

Example: rdm.reltio.com

generator_nameStringYes (where applicable) The name of the generator. Example: CountryIDGenerator

Request headers

The following request headers must be included.
HeaderValueRequired
Content-Typeapplication/jsonYes
AuthorizationBearer {{access_token}}Yes

Request body

The following table describes the request body parameters, including accepted values and defaults.

ParameterTypeRequiredDescriptionAccepted values / Default
nameStringYesUnique generator name for the tenant.Example: CountryIDGenerator
typeStringYesGenerator type.Accepted values: UUID, SEQUENTIAL
rangeStartNumberNoStarting value for a sequential generator. Default: 0 Example: 100
currentValueNumberNoCurrent generator valueFor SEQUENTIAL: any non-negative integer ≥ rangeStart.

For UUID: not applicable (field is not returned)

Response body

The following table describes the fields returned in the response body.

FieldTypeDescription
nameStringGenerator name.
typeStringGenerator type.
rangeStartNumberStarting value for a sequential generator. Applicable only for SEQUENTIAL generators.
currentValueNumberCurrent generator value. Applicable only for SEQUENTIAL generators.

List generators

Returns all generators configured for the specified RDM tenant.
Example request
The following example shows a request for listing all generators configured for an RDM tenant.
GET https://rdm.reltio.com/generators/sample-rdm-tenant
Example response
The following example shows a response that lists the generators configured for an RDM tenant.
[
    {
        "name": "Test_1",
        "type": "SEQUENTIAL",
        "rangeStart": 100,
        "currentValue": 105
    },
    {
        "name": "Test_2",
        "type": "UUID"
    },
    {
        "name": "Test_3",
        "type": "UUID"
    }
]

Get generator

Returns details for a specific generator in the specified RDM tenant. The following table provides example requests and responses for each generator type.
SEQUENTIALUUID
Example request:
GET https://rdm.reltio.com/generators/sample-rdm-tenant/CountrySequenceGenerator
Example response:
[
{
  "name" : "CountrySequenceGenerator",
  "type" : "SEQUENTIAL",
  "rangeStart" : 100,
  "currentValue" : 100
}
]
Example request:
GET https://rdm.reltio.com/generators/sample-rdm-tenant/CountryUUIDGenerator
Example response:
[
{
"name": "CountryUUIDGenerator",
"type": "UUID"
}
]

Generate next value

Generates the next value for the specified generator. For a SEQUENTIAL generator, the system increments the current numeric value by 1 and returns the new value. For example, if the currentValue is 100, the response is 101. For a UUID generator, the system generates and returns a new unique identifier value.

The following table provides example requests and responses for each generator type.

SEQUENTIALUUID
Example request:
GET https://rdm.reltio.com/generators/sample-rdm-tenant/CountrySequenceGenerator/generate
Example response:
101
Example request:
GET https://rdm.reltio.com/generators/sample-rdm-tenant/CountryUUIDGenerator/generate
Example response:
"550e8400-e29b-41d4-a716-446655440000"

Delete generator

Deletes the specified generator from the RDM tenant.

Example request
The following example shows a request for deleting the CountrySequenceGenerator generator.
DELETE https://rdm.reltio.com/generators/sample-rdm-tenant/CountrySequenceGenerator
Example response
The following example shows a response that confirms deletion of the CountrySequenceGenerator generator.
[
{
  "status" : "success"
}
]